package com.ruoyi.project.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.project.domain.TrsNameResults;

/**
 * 人名职务监测Mapper接口
 * 
 * @author ruoyi
 * @date 2025-03-24
 */
public interface TrsNameResultsMapper 
{
    /**
     * 查询人名职务监测
     * 
     * @param id 人名职务监测主键
     * @return 人名职务监测
     */
    public TrsNameResults selectTrsNameResultsById(Long id);

    /**
     * 查询人名职务监测列表
     * 
     * @param trsNameResults 人名职务监测
     * @return 人名职务监测集合
     */
    public List<TrsNameResults> selectTrsNameResultsList(TrsNameResults trsNameResults);

    /**
     * 新增人名职务监测
     * 
     * @param trsNameResults 人名职务监测
     * @return 结果
     */
    public int insertTrsNameResults(TrsNameResults trsNameResults);

    /**
     * 修改人名职务监测
     * 
     * @param trsNameResults 人名职务监测
     * @return 结果
     */
    public int updateTrsNameResults(TrsNameResults trsNameResults);

    /**
     * 删除人名职务监测
     * 
     * @param id 人名职务监测主键
     * @return 结果
     */
    public int deleteTrsNameResultsById(Long id);

    /**
     * 批量删除人名职务监测
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTrsNameResultsByIds(String[] ids);

    Map<String, Integer> getStatistics(TrsNameResults trsSensitiveResults);

    Long selectId(String datakey);

}
